package du7;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author votavon1
 */
public class Du7Test {

    public Du7Test() {
    }

    @Test
    public void testAritmetika() {
        Sestiuhelnik s1 = new Sestiuhelnik(3.3);
        assertEquals(28.293049941637605, s1.getObsah(), 1e-9);
        assertEquals(19.799999999999997, s1.getObvod(), 1e-6);
    }

    @Test
    public void testReadFile() {
        Sestiuhelnik[] pole = Sestiuhelnik.readFile("test01.txt");
        Sestiuhelnik[] zdroj = {new Sestiuhelnik(1.2), new Sestiuhelnik(5.3), new Sestiuhelnik(9.5)};
        assertArrayEquals(zdroj, pole);

        pole = Sestiuhelnik.readFile("test02.txt");
        Sestiuhelnik[] z = {new Sestiuhelnik(3.2), new Sestiuhelnik(5.53), new Sestiuhelnik(4.8),
            new Sestiuhelnik(13.2), new Sestiuhelnik(18.4), new Sestiuhelnik(19.2),
            new Sestiuhelnik(55), new Sestiuhelnik(5), new Sestiuhelnik(.5)};
        assertArrayEquals(z, pole);
    }
    
    @Test
    public void testToFile(){
        Sestiuhelnik s = new Sestiuhelnik(5.5);
        s.toFile("userData.txt");
        
        Sestiuhelnik[] p = Sestiuhelnik.readFile("userData.txt");
        if(p.length != 1) fail("V souboru musi byt pouze jeden sestiuhelnik.");
        assertEquals(s, p[0]);
    }
}
